Subject: bug#29: 23.0.60: Images flicker at cursor-blink rate when emacs is run in X-over-ssh

From: "David O'Toole" <[email-masked]>
Date: Fri, 29 Feb 2008 23:08:08 -0500

I almost always run Emacs in X forwarded via SSH. I've noticed that
with doc-view and everything that displays large images. the image
flickers at the same rate of the cursor blink. When the flicker
happens, I see white horizontal bands of various widths (usually 1 or
2) in different places across the image, for brief instants.
When I turn off the cursor with (setf cursor-type nil) the flickering goes away.

In GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, X toolkit)
 of 2008-02-27 on pod
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--with-xft' '--enable-font-backend'
'--without-toolkit-scroll-bars' '--with-x-toolkit=lucid'
'--prefix=/opt''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-services-mode: t
  erc-ring-mode: t
  erc-notify-mode: t
  erc-networks-mode: t
  erc-netsplit-mode: t
  erc-menu-mode: t
  erc-match-mode: t
  erc-log-mode: t
  erc-pcomplete-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-autojoin-mode: t
  erc-autoaway-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  global-visible-mark-mode: t
  visible-mark-mode: t
  erc-smiley-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-readonly-mode: t
  erc-scrolltobottom-mode: t
  eev-mode: t
  iswitchb-mode: t
  display-time-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
e e l SPC s o SPC p o w e r f u l SPC n o w <return>
i SPC f e e l SPC l i k e SPC i ' m SPC u s i n g SPC
SPC <backspace> a SPC W O R K S T A T I O N SPC a n
d SPC n o w <backspace> t SPC a SPC c h e a p SPC C
o m p a q SPC l a p t o p <return> i ' m SPC f o r
c e d SPC t o SPC b u y SPC H P S-SPC s t u f f SPC
b e c a s u e <backspace> <backspace> <backspace> u
s e SPC m y SPC d a d SPC w o r k s SPC t h e r e SPC
a n d SPC g e t s SPC a SPC d i s c o u n t <return>
t h e i r SPC c a m e r a s SPC a n d SPC m o n i t
o r s SPC S U K <backspace> <backspace> <backspace>
s u c k SPC d e a d SPC c u n t <return> <C-tab> M->
l u <tab> l o o k s SPC n i c e . SPC u b u b n t u
? <return> M-3 M-4 <C-tab> <C-tab> h m m ? <return>
C-c <help-echo> <help-echo> <help-echo> <down-mouse-1>
<mouse-1> <help-echo> <down-mouse-1> <mouse-1> <help-echo>
T C-x 1 <help-echo> <help-echo> C-x k C-g C-x k <return>
C-x <left> C-x <left> <C-tab> <C-tab> M-> <C-tab> M-x
r e p o r t - e m a c s - b u g <return>

Recent messages:
Quit [2 times]
Mark saved where search started
Winner undo (1 / 82)
Winner undo (1 / 84)
Winner undo (2 / 82)
Mark set
Quit
Winner undo (1 / 85)
Winner undo (2 / 85)
Mark set